/*
 * Copyright (C) 1995-2012 by 4system Polska Sp. z o.o.
 * All Rights Reserved. v4
 */

componentSLWCheckBox = function(name)
{
	//inherited	
	this.componentElement = componentElement;
	this.componentElement(name);
	
	this.confirmAnswer = false;
};

componentSLWCheckBox.prototype = new componentElement();
componentSLWCheckBox.prototype.type = "componentSLWCheckBox";

componentSLWCheckBox.prototype.onBaseCreate = function(obj)
{
	this.captureMouseEvents();
	
	if (this.disabled == true) {
		this.obj.disabled = true;
	}
	if (this.checked == true) {
		document.getElementById(this.id + "_contentObj").checked = "checked";
	}
	
	var o =  document.getElementById(this.id + "_labelObj");
	if (this.ctrlFontEnable) {
		this.innerCtrlFormatText(o, this.text, this.ctrlFontName, this.ctrlFontSize, this.ctrlFontColor, this.ctrlFontStyle);  
	} else {
		o.innerHTML = this.text;
	}
};
